System Requirements
In order to run the DICOMCDViewer your system should meet the following requirements:

  1. Hardware:
    • CPU - 1.0 GHz.
    • RAM -256 MB. If large number of files will be opened at once then additional amount of RAM should be added.
    • Optical Storage - CD or DVD device.
    • Video display adapter - Mid or high end video adapter with at least 64 MB of video RAM.
  2. Software:
    • Operating System - MS Windows XP, MS Windows 2000, MS Windows ME, MS Windows 98 or MS Windows NT 4.0.
© 2006 B & M Services Corp. USA. All rights reserved. www.bandmmedical.com


User Interface Overview
The main window of DICOMCDViewer can be seen on the next picture.

In general the User Interface (UI) is build by several components:
  1. The Main Menu - This menu contains five submenus: File , View , Image Tools , Window и Help ;
  2. Toolbars - This also contains five different ribbons....
  3. The Status bar - This is the strip at the bottom of the main window. ...


Лентата за състоянието

Status Bar

The Status bar lies at the bottom of the main window of the DICOMCDViewer. The left part is used to display text information about the button on which the mouse cursor is at the moment. If the mouse cursor isn't pointing at any button then there is a text that reminds you how to obtain help.

© 2006 B & M Services Corp. USA. All rights reserved.

www.bandmmedical.com


Меню File

The File Menu
File menu commands description:
  • Browse – Opens the window 'DICOM CD Browser', which shows DICOMDIR file content. From there you can choose images for opening. For more information see [image] .
  • Close – Closes the active series. If there is no opened series, the command 'Close' is not accessible.
  • Previous Series – Shows the series, which is before the active series. If the active series is only one or it is the first for the patient, then the command 'Previous Series' is not accessible. For more information see [image] .
  • Next Series – Shows the series, which is after the active series. If the active series is only one or it is the last for the patient, then the command 'Next Series' is not accessible. For more information see [image] .
  • Exit – Closes DICOMCDViewer.


Меню View

The View Menu
The View menu is used to show / hide some of the toolbars. It also contains commands about how images to be arranged in the workspace area. If any of the panels is visible a check mark is placed in front of the corresponding menu item. Short description for each item:
  • Toolbar – This is used to show / hide first four buttons, that form Toolbar. For more information about 'Toolbar' see here.
  • Image Tools – This is used to show / hide next ten buttons, that form Image Toolbar. For more information about 'Image Tools' see here.
  • Zoom Tools – This is used to show / hide next seven buttons, which form Zoom Toolbar. For more information about 'Zoom Tools' see here.
  • Measure & Annotation Tools –This is used to show / hide next six buttons, which form Measure & Annotation Toolbar. For more information about 'Measure & Annotation Tools' see here.
  • Cine Controller – This is used to show / hide next five buttons, which form Cine Toolbar. For more information about 'Cine Controller' see here.
  • Status Bar – This is used to show / hide the status bar that is the strip at the bottom of the main window. For more information about 'Status Bar' see here.
  • Grid Config – This is used to setup the grid configuration for the currently active view. For more information about 'Grid Config' see [image] .
  • Switch to Single View – This is used to switch between single and multi view. For more information about 'Switch to Single View' see [image] .


Меню Image Tools

The Image Tools Menu
This menu contains:
  • Apply to All – If this item is in checked state any changes made to one image are propagated to all images from the series. If it's not checked then only the active image is modified. For more information see [image] .
  • Overlay – This item is used to toggle on/off the drawing of overlay text over the images. For more information see [image] .
  • Invert– If this item is in unchecked state then the image is drawn using normal colors. If the item is checked then the colors are inverted. For more information see [image] .
  • Window Width/Level – The adjustments of Brightness / Contrast are applicable only for color images. The Window Width / Level adjustments are for monochrome images. There are three commands. Use the first one - 'Adjust' - to set these values manually. The second one - 'Stored Values' - contains stored sets of window parameters. The third one - 'Reset' - resets the image to its initial state. For more information see [image] .
  • Pseudo Coloring – The 'Pseudo Color' tool applies a color replacement over each color channel of the image. Colors are replaced using a set of predefined schemas accessible through the submenu of this item [image] .
  • Zoom – Changes the size of the image. There are seven commands. 'Free Zoom' - the zoom factor is modified by moving the mouse up or down while keeping the left button pressed. For more information see [image] . 'Zoom In' - each mouse click over the image increases the current zoom factor with 0.01. For more information see [image] . 'Zoom Out' - each mouse click over the image decreases the current zoom factor with 0.01. For more information see [image] . 'Window Zoom' - a rectangular area from the image selected with the mouse is zoomed to the extent of the cell. For more information see [image] . 'Pixel to Pixel' - draws the image using a zoom factor of 1. For more information see [image] . 'Spy Glass' - in this mode the mouse cursor is changed to a small spy glass and when the left mouse button is pressed, the portion just under the mouse cursor is zoomed by multiplying the current zoom factor by 5. For more information see [image] . 'Fit' - stretches the image to the bounds of the grid cell while keeping the aspect ratio of the image. The fit state stays active until the next zoom or move operation. For more information see [image] .
  • Move/Pan – It is used when the image is zoomed and its zoomed size is greater then the size of the grid cell where it is painted. For more information see [image] .
  • Rotate – Use it to rotate the image on 90 degrees. The command 'Left' [image] rotates the image to the left, and 'Right'- to the right [image] .
  • Flip – It turns the image. The command 'Horizontal' turns the image horizontally [image] , and the 'Vertical'- vertically [image] .
  • Measure & Annotations – Using this menu you can hide, show or move already made graphical objects, and also add new ones. There are six commands. When the command 'Visible' is active the graphical objects are displayed. For more information see [image] . Using 'Move Objects' you can move already made objects. For more information see [image] . The command 'Line' draws a line between two points and calculates its length. For more information see [image] . The command 'Angle' draws and measures angles. For more information see [image] . The command 'Ellipse' draws an ellipse with label. The label contains information about the surface of the ellipse and the average density of the matter. The density value is valid only for CT or MRI images. For more information see [image] . The command 'Density Meter' displays a tooltip with information about the density of the tissue, bones or other matter. The result from this tool is meningfull for CT or MRI generated images. For more information see [image] .
  • Cine – The Cine provides functionality for animating a series of images. The command 'One Frame Back' moves the animation one frame back. If the current frame is the first one then the animation is moved to the last frame. This command is active only when the animation is in paused state. For more information see [image] . The command 'Play' is used to start and pause the animation. For more information see [image] . The command 'Stop' stops the animation process. In case of series animation the current frame is not modified. For more information see [image] . The command 'One Frame Forward' moves the animation one frame forward. If the current frame is the last one then the animation is moved to the first frame. This command is active only when the animation is in paused state. For more information see [image] . The 'Set Playback Speed' allows you to change the frame rate of the animation at which the images are displayed. For more information see [image] .


Меню Window

The Window Menu
This menu has two parts separated by a horizontal line:
  1. First part– Contains three commands:
    • Cascade – Restores the default size of all opened windows.
    • Tile – Decreases the size of all opened windows, so that they can be displayed in the workspace area at the same time.
    • Arrange Icons– Arranges already minimized windows, if their position was previously changed.
  2. Second part – Contains a list of all opened windows. From that list you can activate a window which is not active at the moment. If the opened windows are more than 9, the command 'More Windows...' is displayed. Clicking on it shows the 'Select Window' window.
    This window contains a list of all opened windows no matter of their number. From this list you can activate a window which is not active in the moment.


Меню Help

The Help Menu
This menu provides access to the help system of the DICOMCDViewer. The command 'Help Topics' starts this help. Command 'About DICOMCDViewer...' displays the 'About DICOMCDViewer...' dialog which provides information about the application version.


Работа с Бутоните за Бърз Достъп

Working with Toolbars

There are five different panels:

  1. Main Toolbar [image] – It includes first four buttons that are not for working with images:
    • Browse the DICOMCD contents [image] – By pressing this button window 'DICOM CD Browser' is shown and with its help other series can be opened. For more information about opening images see here.

    • Switch to Single View [image] – If the grid has more than one cell it is possible to switch between this grid and one cell grid using this button. It also can be done by clicking over the image and then choosing 'Switch to Single View'. The drop-down menu is used to setup the grid configuration for the currently active view. The last menu item 'N x N' is used to show a dialog for definition of a custom grid. By pressing this button window 'Grid Configurator' is shown. The maximum number of rows and columns is 10.

    • Previous Series [image] – Shows the series that is before the active series. If the active series is only one or it is the first for the patient, then the command 'Previous Series' is not accessible.

    • Next Series [image] – Shows the series that is after the active series. If the active series is only one or it is the last for the patient, then the command 'Next Series' is not accessible.

  2. Image Tools
    • Apply changes to entire series [image] – If this button is in checked state any changes made to one image are propagated to all images from the series. If it's not checked then only the active image is modified.

    • Invert colors [image] – This tool, as it is seen from its name, is used to invert the colors of the images. The color inversion doesn't depend on the colors of the current image. Each image is inverted for itself.

    • Toggle Overlay [image] – This button is used to toggle on / off the drawing of overlay text over the images. For more details about text information see here.

    • Move/pan the image across the view [image] – This tool allows to move the image in four directions in order to find some specific part of the image. When this button is pressed the 'Move' tool becomes active. The movement is performed by dragging the mouse with left button pressed.

    • Adjust window params [image] – The adjustments of Brightness / Contrast is applicable only for color images. The Window Width / Level adjustments are for monochrome images. The adjustment is performed by dragging the mouse with left button pressed. When the mouse is dragged to the left then the Window Width or Contrast values are increased. When the mouse is moved to the right these values are decreased. When the mouse is moved upward the Window Level or Brightness are increased. Moving down will decrease them. Clicking the arrow on the right side of the button will show a context menu from which it is possible to choose from three available options:
      • Adjust – Pressing this submenu it means that 'Adjust window params' tool becomes active.

      • Stored Values – This submenu displays a list of all pairs of Window Width and Window Level that are stored for the image before disc burning.

      • Reset – Resets the current values for Window Width / Level or Brightness/Contrast to their initial values.

    • Apply Pseudocoloring scheme [image] – The Pseudo Color tool applies a color replacement over each color channel of the image. Colors are replaced using the mouse and a set of predefined schemas accessible through the drop-down menu of this button. Using this tool it is possible to colorize grayscale images using a set of predefined color transformation maps. In some cases using Pseudo Coloring it is possible to achieve much better results than only with grayscale.

    • Flip Horizontal [image] – By pressing this button the image is flipped horizontally.

    • Flip Vertical [image] – By pressing this button the image is flipped vertically.

    • Rotate image on 90 degrees to the right [image] – By pressing this button the image is rotated on 90 degree to the right.

    • Rotate image on 90 degrees to the left [image] – By pressing this button the image is rotated on 90 degree to the left.

  3. Zoom Tools
    • Free Zoom [image] – In this mode the zoom factor is modified by moving the mouse up or down while keeping the left button pressed.

    • Zoom In [image] – Each mouse click over the image increases the current zoom factor with 0.01.

    • Zoom Out [image] – Each mouse click over the image decreases the current zoom factor with 0.01.

    • Window Zoom [image] – In this mode a rectangular area from the image selected with the mouse is zoomed to the extent of the of the cell.

    • Spy Glass [image] – In this mode the mouse cursor is changed to a small spy glass and when the left mouse button is pressed, the portion just under the mouse cursor is zoomed by multiplying the current zoom factor by 5.

    • Pixel to Pixel View [image] – Draws the image using a zoom factor of 1.

    • Fit [image] – Stretches the image to the bounds of the grid cell while keeping the aspect ratio of the image and its location. The fit state stays active until the next zoom or move operation.

  4. Measure & Annotation Tools
    • Show / Hide Objects [image] – When this button is active, graphical objects are visible.

    • Move or Modify Graphical Objects [image] – Using this button, graphical object location can be changed.

    • Draw Line [image] – A line object is drawn between mouse down and mouse up while moving the mouse. A label is attached to one of the end of the line object. Inside this label there is an information about the lenght of the line in pixels and if there is information about the distance between pixels then the distance is calculated in mm or inches.

    • Draw an Angle [image] – This tool calculates and draws angles defined by three mouse clicks. The angle is measured at the point of the first mouse click.

    • Draw an Ellipse [image] – This tool draws an ellipse defined by the top left (mouse down) and the bottom right (mouse up) corners. The label contains information about the number of the pixels surrounded by the ellipse, the area of the ellipse (if there is a pixel spacing info in the image) and for CT or MRI images it also contains the mean value of the Hounsfield Units (HU) or relative values respectively.

    • Density Meter [image] – Displays a tooltip with information about the density of the tissue, bones or other matter. The result from this tool is meningfull for CT or MRI generated images.

    Important: The graphical objects, that have been saved over the image before disc burning, can't be removed instead of graphical objects made with DICOMCDViewer. To remove them use the context menu over the image.

  5. Cine Controller
    • Move 1 frame back [image] – Moves the animation one frame back. If the current frame is the first one then the animation is moved to the last frame. This button is active only when the animation is in paused state.

    • Start/Pause the Animation [image] – This button is used to start and after that to pause the animation.

    • Stop the Animation [image] – Stops the animation process. In case of series animation the current frame is not modified.

    • Move 1 frame forward [image] – Moves the animation one frame forward. If the current frame is the last one then the animation is moved to the first frame. This button is active only when the animation is in paused state.

    • Show Playback Speed Setup Dialog [image] – Shows 'Cine Frame Rate Setup' dialog which is used to change the frame rate. The minimum value is 0.1 fps (1 frame per 10 seconds). The maximum value is 100.0 fps (100 frames per 1 second). For series animation the default value is 25.0 fps (25 frames per second).


Отваряне на DICOM Серия

How to Open DICOM Series

When starting the DICOMCDViewer the window 'DICOM CD Browser' is opened. It contains a list with the names of all patients recorded on the CD. Choose the patient, then the study and finally the series which you want to open and then press the button 'View'.

If you want to open another series, choose the command 'Browse' from the 'File' menu or use the buttons 'Previous Series' and 'Next Series' to open another series from the same patient.


Overlay Overview

The Overlay is a graphical layer layed above the actual image. It contains mostly textual data extracted from the DICOM header of the image. The contents of the overlay are different for each modality. They also may differ depending on the contents of the DICOM header of the images.

The Overlay is separated into 3 text zones plus 4 graphical zones on each side of the image. The two top text zones are common for all modalities, while the bottom left is different depending on the modality.

Overlay content descriptions:

  • Common image
  • CT image
  • MRI image


Common Overlay Contents

The most common overlay contents for all images are located in the upper part of the image.

Description of each row in the overlay:

# DICOM Tag Description Free Description
1 | Magnetic Field Strength | The strength of the magnetic field in Teslas. Applicable for MRI only.
Station Name | User defined name identifying the machine that produced this image.
Manufacturers Model Name | Manufacturer’s model name of the equipment that produced this image
2 | Patient ID | Primary hospital identification number or code for the patient.
3 | Study ID | User or equipment generated Study Identifier.
4 | Study Description | Institution-generated description or classification of the Study (component) performed.
5 | Series Number | A number that identifies this Series.
6 | Instance Number | A number that identifies this image.
8 | Zoom Factor | Application calculated value that represents the magnification of the real image.
9 | Institution Name | The name of the institution where the study was acquired.
10 | Patients Name | Patient's full name
11 Patients Sex Sex of the named patient. Enumerated Values:
M = male
F = female
O = other
Patients Age | Age of the Patient.
12 | Accession Number | A RIS generated number that identifies the order for the Study.
13 | Study Date | Date the Study started.
14 | Study Time | This field is used to display Study Time or Acquisition Time. The 'Study Time' is the time when the Study is started. The 'Acquisition Time' is the time the acquisition of data that resulted in this image started
Acquisition Time
15 | Rows | Number of rows in the image.
Columns | Number of columns in the image
22 | Window Width | The brightness like setting for the image. In the Overlay the value is perceeded by 'W' for monochrome images and 'B' for color images.
Window Center | The contrast like setting for the image. In the Overlay the value is perceeded by 'L' for monochrome images and 'C' for color images.
23 Orientation Marks These marks are used to give an idea about how the image orientation against Patient related coordinate system. The marks are:
  • A - anterior
  • P - posterior
  • L - left
  • R - right
  • S - superior ( toward head )
  • I - inferior ( toward feets )

If the image is not exactly alligned by four of these directions then on the right side of the letter that indicates the major direction will be added subscripted letters for the minor directions.

These marks will be drawn only if the DICOM header contains information about image orientation.
24 Calibration Lines

These lines are visible only for images that have pixel spacing information in their DICOM headers. The lines are drawn dynamicaly according to the current zoom factor.

Each Calibration Line is build by a series of long and short lines. The distance between two shtor lines is 10mm and the distance between two long lines is 50mm.


Overlay contents for MRI modality

In general, the overlay of the images acquired from a MRI modality is built as a superset of the Common Overlay.

Description of each row in the overlay:

# DICOM Tag Description Free Description
1 | Magnetic Field Strength | The strength of the magnetic field in Teslas. Applicable for MRI only.
Station Name | User defined name identifying the machine that produced this image.
Manufacturers Model Name | Manufacturer’s model name of the equipment that produced this image
2 | Patient ID | Primary hospital identification number or code for the patient.
3 | Study ID | User or equipment generated Study Identifier.
4 | Study Description | Institution-generated description or classification of the Study (component) performed.
5 | Series Number | A number that identifies this Series.
6 | Instance Number | A number that identifies this image.
7 | Contrast/Bolus Agent | Identifies the contrast/bolus used in the acquisition of the image
8 | Zoom Factor | Application calculated value that represents the magnification of the real image.
9 | Institution Name | The name of the institution where the study was acquired.
10 | Patients Name | Patient's full name
11 Patients Sex Sex of the named patient. Enumerated Values:
M = male
F = female
O = other
Patients Age | Age of the Patient.
12 | Accession Number | A RIS generated number that identifies the order for the Study.
13 | Study Date | Date the Study started.
14 | Study Time | This field is used to display Study Time or Acquisition Time. The 'Study Time' is the time when the Study is started. The 'Acquisition Time' is the time the acquisition of data that resulted in this image started
Acquisition Time
15 | Rows | Number of rows in the image.
Columns | Number of columns in the image
16 | Echo Train Length | Number of lines in k-space acquired per excitation per image.
17 | Repetition Time | The period of time in msec between the beginning of a pulse sequence and the beginning of the succeeding (essentially identical) pulse sequence.
18 | Echo Time | Time in ms between the middle of the excitation pulse and the peak of the echo produced (kx=0). In the case of segmented k-space, the TE(eff) is the time between the middle of the excitation pulse to the peak of the echo that is used to cover the center of k-space (i.e.-kx=0, ky=0).
19 | Receive Coil Name | Receive coil used.
20 | Slice Thickness | Nominal slice thickness, in mm.
21 | Window Width | The brightness like setting for the image. In the Overlay the value is perceeded by 'W' for monochrome images and 'B' for color images.
Window Center | The contrast like setting for the image. In the Overlay the value is perceeded by 'L' for monochrome images and 'C' for color images.
22 Orientation Marks These marks are used to give an idea about how the image orientation against Patient related coordinate system. The marks are:
  • A - anterior
  • P - posterior
  • L - left
  • R - right
  • S - superior ( toward head )
  • I - inferior ( toward feets )

If the image is not exactly alligned by four of these directions then on the right side of the letter that indicates the major direction will be added subscripted letters for the minor directions.

These marks will be drawn only if the DICOM header contains information about image orientation.
23 Calibration Lines

These lines are visible only for images that have pixel spacing information in their DICOM headers. The lines are drawn dynamicaly according to the current zoom factor.

Each Calibration Line is build by a series of long and short lines. The distance between two shtor lines is 10mm and the distance between two long lines is 50mm.


Overlay contents for CT modality

In general, the overlay of the images acquired from a CT modality is built as a superset of the Common Overlay.

Description of each row in the overlay:

# DICOM Tag Description Free Description
1 | Magnetic Field Strength | The strength of the magnetic field in Teslas. Applicable for MRI only.
Station Name | User defined name identifying the machine that produced this image.
Manufacturers Model Name | Manufacturer’s model name of the equipment that produced this image
2 | Patient ID | Primary hospital identification number or code for the patient.
3 | Study ID | User or equipment generated Study Identifier.
4 | Study Description | Institution-generated description or classification of the Study (component) performed.
5 | Series Number | A number that identifies this Series.
6 | Instance Number | A number that identifies this image.
7 | Contrast/Bolus Agent | Identifies the contrast/bolus used in the acquisition of the image
8 | Zoom Factor | Application calculated value that represents the magnification of the real image.
9 | Institution Name | The name of the institution where the study was acquired.
10 | Patients Name | Patient's full name
11 Patients Sex Sex of the named patient. Enumerated Values:
M = male
F = female
O = other
Patients Age | Age of the Patient.
12 | Accession Number | A RIS generated number that identifies the order for the Study.
13 | Study Date | Date the Study started.
14 | Study Time | This field is used to display Study Time or Acquisition Time. The 'Study Time' is the time when the Study is started. The 'Acquisition Time' is the time the acquisition of data that resulted in this image started
Acquisition Time
15 | Rows | Number of rows in the image.
Columns | Number of columns in the image
16 | Convolution Kernel | A label describing the convolution kernel or algorithm used to reconstruct the data.
17 | KVP | Peak kilo voltage output of the x-ray generator used
18 | X-ray Tube Current | X-ray Tube Current in mA.
19 | Slice Thickness | Nominal slice thickness, in mm.
20 | Gantry/Detector Tilt | Nominal angle of tilt in degrees of the scanning gantry. Not intended for mathematical computations.
21 | Exposure Time | Time of x-ray exposure in msec
22 | Window Width | The brightness like setting for the image. In the Overlay the value is perceeded by 'W' for monochrome images and 'B' for color images.
Window Center | The contrast like setting for the image. In the Overlay the value is perceeded by 'L' for monochrome images and 'C' for color images.
23 Orientation Marks These marks are used to give an idea about how the image orientation against Patient related coordinate system. The marks are:
  • A - anterior
  • P - posterior
  • L - left
  • R - right
  • S - superior ( toward head )
  • I - inferior ( toward feets )

If the image is not exactly alligned by four of these directions then on the right side of the letter that indicates the major direction will be added subscripted letters for the minor directions.

These marks will be drawn only if the DICOM header contains information about image orientation.
24 Calibration Lines

These lines are visible only for images that have pixel spacing information in their DICOM headers. The lines are drawn dynamicaly according to the current zoom factor.

Each Calibration Line is build by a series of long and short lines. The distance between two shtor lines is 10mm and the distance between two long lines is 50mm.